Commit 4760708d authored by Leo's avatar Leo Committed by Kevin Daudt

testing/libbytesize: modernize

- Add !check
- Add libbytesize-tools
- Update dependencies to use pcre2
- Add missing py3-six to py-$pkgname

Closes GH-7441
parent 16d9d254
# Contributor: Leo <thinkabit.ukim@gmail.com>
# Contributor: André Klitzing <aklitzing@gmail.com>
# Maintainer: André Klitzing <aklitzing@gmail.com>
pkgname=libbytesize
pkgver=2.0
pkgrel=0
pkgrel=1
pkgdesc="Library for working with arbitrary big sizes in bytes"
options="!check" # Tests require dealing with locales
url="https://github.com/rhinstaller/libbytesize"
arch="all"
license="LGPL-2.1-or-later"
makedepends="gettext-dev gmp-dev mpfr-dev pcre2-dev python3"
checkdepends="py3-polib"
options="!check" # ModuleNotFoundError: No module named 'pocketlint'
subpackages="$pkgname-dev $pkgname-doc $pkgname-lang py-$pkgname:py:noarch"
checkdepends="bash py3-six"
subpackages="$pkgname-dev $pkgname-lang py-$pkgname:_py:noarch $pkgname-doc
$pkgname-tools:_tools:noarch"
source="https://github.com/storaged-project/libbytesize/releases/download/$pkgver/$pkgname-$pkgver.tar.gz"
build() {
./configure --prefix=/usr
CFLAGS="$CFLAGS -lintl" ./configure --prefix=/usr
make
}
check() {
# Disable test that depends on unpackaged pocketlint
sed -i 's|canary_tests.sh$||g' tests/Makefile
make check
}
......@@ -26,11 +31,20 @@ package() {
make DESTDIR="$pkgdir" install
}
py() {
_py() {
pkgdesc="Python bindings for $pkgname"
depends="python3 py3-six"
mkdir -p "$subpkgdir"/usr/lib
mv "$pkgdir"/usr/lib/python* "$subpkgdir"/usr/lib/
}
_tools() {
pkgdesc="Tools for libbytesize"
depends="py-$pkgname"
mkdir -p "$subpkgdir"/usr/bin
mv "$pkgdir"/usr/bin/* "$subpkgdir"/usr/bin
}
sha512sums="9d2a18930d0d900262ced4abd5cd358896570eadb06435f1b9aba5484ca530478b65dfb4982e8acf77ca4519a2d8a1dc236d42f5fa1ecbd7461949b282ef44a1 libbytesize-2.0.tar.gz"
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment